define(function(require, exports, module) {
  var log4js = window.require('log4js');
  // var log4js_config = require("./log4js.json");
  exports.getLogger = function(category){
    log4js.configure({
      "appenders":
      [
        {
          "category":"mylog",
          "type": "datefile",
          "filename": "./log/log",
          "alwaysIncludePattern": true,
          "pattern": "-yyyy-MM-dd-hh.log",
          "layout": {
            "type": "pattern",
            "pattern": "[%r] [%p] - %m"
          }
        }
      ],
      "replaceConsole": false,
      "levels":
      {
        "log_file":"ALL",
        "console":"ALL",
        "log_date":"ALL"
      }
    });
    return log4js.getLogger(category);
  }
})
